# README

This repository contains the code I use on a daily basis
for the analysis and visualisation of climate data.
Every time I publish a paper,
I share corresponding log files on Figshare (see my profile page
[here](http://figshare.com/authors/Damien_Irving/726490))
that show how the code in this repository was used to generate the key results.
The rationale for this approach to reproducible research is outlined
[here](http://journals.ametsoc.org/doi/abs/10.1175/BAMS-D-15-00010.1).


## Table of contents

| Directory | Contents |
| :-------- | :------- |
| `data_processing` | Scripts used to process/analyse climate data |
| `development` | IPython notebooks and other rough notes used in the initial development phase of a new script or workflow |
| `downloads` | Scripts and other notes relating to downloading and pre-processing various datasets |
| `modules` | Commonly used code that is imported/used by various data processing and visualisation scripts |
| `visualisation` | Scripts used to visualise data |
 
 Note that the workflows follow the data reference syntax outlined in `data_reference_syntax.md`.
